Package org.eclipse.jdt.debug.ui.console

# Class JavaStackTraceConsoleFactory

java.lang.Object
org.eclipse.jdt.debug.ui.console.JavaStackTraceConsoleFactory

All Implemented Interfaces:
  `org.eclipse.ui.console.IConsoleFactory`

public class JavaStackTraceConsoleFactory extends Object implements org.eclipse.ui.console.IConsoleFactory
Creates a new console into which users can paste stack traces and follow the hyperlinks.

Since:
  3.8

## Constructor Summary

Constructors
Constructor
Description
`JavaStackTraceConsoleFactory()`

## Method Summary

Modifier and Type
Method
Description
`void`
`openConsole()`
Opens the console (creating a new one if not previously initialized).
`void`
`openConsole(String initialText)`
Opens the console (creating a new one if not previously initialized).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JavaStackTraceConsoleFactory

public JavaStackTraceConsoleFactory()

## Method Details

### openConsole

public void openConsole()
Opens the console (creating a new one if not previously initialized).

Specified by:
  `openConsole` in interface `org.eclipse.ui.console.IConsoleFactory`

### openConsole

public void openConsole(String initialText)
Opens the console (creating a new one if not previously initialized). If the passed string is not `null`, the text of the console is set to the string.

Parameters:
  `initialText` - text to put in the console or `null`.